
QGIS Application - Bug report #7589

Raster Calculator error over band number 9

2013-04-12 06:19 AM - Rocco Pispico

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16522

Description

In raster calculator using a multiband raster you can choose until band number 9 without error.

If you choose a band over number 9 the raster calculator displays the "Expression invalid" message.

Associated revisions

Revision 5d50af04 - 2015-06-10 01:45 PM - Nyall Dawson

[rastercalc] Fix handling of unquoted bands > 9 (fix #7589)

History

#1 - 2013-06-02 09:01 AM - Giovanni Manghi

- Priority changed from High to Normal

#2 - 2015-06-10 04:46 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"5d50af0407c375ec7e690bf2f82596e3ca304740".

2025-04-27 1/1


